unwarp_image_phantom(1)

NAME
unwarp_image_phantom - Create transformation to unwarp an image based on a phantom description

SYNOPSIS
unwarp_image_phantom InputPhantom InputImage OutputXform

DESCRIPTION
This tool computes either a polynomial transformation or B-spline free-form deformation to unwarp an image. The transformation is based on expected and detected landmarks in an image of a structural phantom acquired on the same scanner. Use the 'detect_adni_phantom' tool to detect landmarks of the ADNI Phantom in an image and generate a phantom description file suitable for use with this tool.

OPTIONS

  Global Toolkit Options (these are shared by all CMTK tools)

--help
    Write list of basic command line options to standard output.

--help-all
    Write complete list of basic and advanced command line options to standard output.

--wiki
    Write list of command line options to standard output in MediaWiki markup.

--man
    Write man page source in 'nroff' markup to standard output.

--version
    Write toolkit version to standard output.

--echo
    Write the current command line to standard output.

--verbose-level <integer>
    Set verbosity level.

--verbose, -v
    Increment verbosity level by 1 (deprecated; supported for backward compatibility).

--threads <integer>
    Set maximum number of parallel threads (for POSIX threads and OpenMP).

  Fitting Options

--fit-inverse
    Fit inverse transformation (mapping actual to expected landmark locations). This is useful for computing a Jacobian volume correction map (using 'reformatx') without having to numerically invert the fitted unwarping transformation.

--fit-forward
    Fit forward transformation (mapping expected to actual landmark locations). This is useful for rectifying the image via reslicing (using 'reformatx'). [This is the default]

  Transformation Models

--spline
    Fit B-spline free-form deformation.

--poly
    Fit polynomial transformation. [This is the default]

  Polynomial Fitting Options (with --poly)

--degree <integer>
    Degree of the fitted polynomial transformation. [Default: 4]

  B-Spline Fitting Options (with --spline)

--final-cp-spacing <double>
    Final control point grid spacing of the output B-spline transformation. [Default: 0]

--final-cp-dims <string>
    Final control point grid dimensions (i.e., number of control points) of the output B-spline transformation. To be provided as 'dimX,dimY,dimZ'. [Default: NONE]

--levels <integer>
    Number of levels in the multi-level B-spline approximation procedure. [Default: 1]

--iterations-per-level <integer>
    Maximum number of spline coefficient update iterations per level in the multi-level B-spline approximation procedure. [Default: 100]

--rms-threshold <double>
    Threshold for relative improvement of the RMS fitting residual. The fitting iteration terminates if (rmsAfterUpdate-rmsBeforeUpdate)/rmsBeforeUpdate < threshold. [Default: 0]

--no-fit-affine
    Disable fitting of affine transformation to initialize spline. Instead, fit spline directly. This usually gives worse results and is discouraged.

AUTHORS
Torsten Rohlfing, with contributions from Michael P. Hasak, Greg Jefferis, Calvin R. Maurer, Daniel B. Russakoff, and Yaroslav Halchenko

LICENSE
http://www.fsf.org/licensing/licenses/gpl.html

BUGS
Report bugs at http://nitrc.org/projects/cmtk/

ACKNOWLEDGMENTS
CMTK is developed with support from the NIAAA under Grant AA021697, National Consortium on Alcohol and Neurodevelopment in Adolescence (N-CANDA): Data Integration Component. From April 2009 through September 2011, CMTK development and maintenance was supported by the NIBIB under Grant EB008381.